- Qt 5.0
- Qt 5.0.0 Reference Documentation

# RelationshipModel QML Type

The RelationshipModel provides a model of contact relationships from the contacts store. More...

Import Statement: | import QtContacts 5.0

- List of all members, including inherited members

## Properties

- autoUpdate : bool
- error : string
- manager : string
- participantId : int
- relationshipType : variant
- relationships : list<Relationship>
- role : enumeration

## Methods

- addRelationship(relationship)
- removeRelationship(relationship)

## Detailed Description

This element is part of the QtContacts module.

The contents of the model can be specified with participantId, role and relationshipType properties. Whether the model is automatically updated when the store or filter changes, can be controlled with RelationshipModel::autoUpdate property.

There are two ways of accessing the relationship data: through model by using views and delegates, or alternatively via relationships list property.

At the moment only data role provided by the model is `relationship` (Relationship). Through that one can access any data provided by the Relationship element.

See also Relationship and QContactRelationship.

## Property Documentation

autoUpdate : bool

This property indicates whether or not the relationship model should be updated automatically, default value is true.

error : string

This property holds the latest error code returned by the contact manager.

This property is read only.

manager : string

This property holds the manager uri of the contact backend engine.

participantId : int

This property holds the participant which the list of relationships returned by RelationshipModel should contain.

See also RelationshipFilter::relatedContactId and RelationshipModel::role.

relationshipType : variant

This property holds the relationship type which the list of relationships returned by RelationshipModel should contain.

See also Relationship::type.

relationships : list<Relationship>

This property holds a list of relationships.

See also Relationship.

role : enumeration

This property holds the relationship role which the list of relationships returned by RelationshipModel should contain.

See also RelationshipFilter::relatedContactRole.

## Method Documentation

addRelationship(relationship)

Addes the given relationship to the backend store.

removeRelationship(relationship)

Removes the given relationship from the backend store.